
---@class CustomEvent
local CustomEvent = Class()

--- Creates a new CustomEvent object.
---@return CustomEvent
function CustomEvent.New() end

--- Adds the event handler for the event named eventName.
---@param eventName string
---@param handler function
function CustomEvent:AddListener(eventName, handler) end

--- Removes the event handler for the event named eventName.
---@param eventName string
---@param handler function
function CustomEvent:RemoveListener(eventName, handler) end

--- Emits the event named eventName with the following arguments.
---@param eventName string
---@param ... any
function CustomEvent:Emit(eventName, ...) end

--- A global event object.
CustomEvents = CustomEvent.New()

